ONVIF::Device::Types::RecordingJobConfiguration(3pm)

NAME
ONVIF::Device::Types::RecordingJobConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingJobConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecordingToken

•   Mode

•   Priority

•   Source

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RecordingJobConfiguration
   RecordingToken => $some_value, # RecordingReference
   Mode => $some_value, # RecordingJobMode
   Priority =>  $some_value, # int
   Source =>  { # ONVIF::Device::Types::RecordingJobSource
     SourceToken =>  { # ONVIF::Device::Types::SourceReference
       Token => $some_value, # ReferenceToken
     },
     AutoCreateReceiver =>  $some_value, # boolean
     Tracks =>  { # ONVIF::Device::Types::RecordingJobTrack
       SourceTag =>  $some_value, # string
       Destination => $some_value, # TrackReference
     },
     Extension =>  { # ONVIF::Device::Types::RecordingJobSourceExtension
     },
   },
   Extension =>  { # ONVIF::Device::Types::RecordingJobConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL